using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：职业危害部门
    /// </summary>
    [Description("导航属性：职业危害部门")]
    public class T_HM_EVALUATE_HAZARD_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 职业危害ID
        /// </summary>
        [Description("职业危害ID")]
        [DataFieldForeignKey("Nav_EvaluateHazard", "Nav_EvaluateHazardDepartment")]
        public Guid EVALUATE_HAZARD_ID { get; set; }
        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_HAZARD Nav_EvaluateHazard { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        [FormFieldEdit]
        public Guid DEPARTMENT_ID { get; set; }
        /// <summary>
        /// 导航属性：部门
        /// </summary>
        [Description("导航属性：部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
